%define	major	0
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		zita-alsa-pcmi
Summary:	Provides easy access to ALSA PCM devices
Version:	0.3.2
Release:	%mkrel 2
License:	GPLv3
Group:		System/Libraries
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch0:		zita-alsa-pcmi-0.3.2-mga-flags.patch
Patch1:		zita-alsa-pcmi-0.3.2-mga-fix_local_include.patch
Patch2:		zita-alsa-pcmi-0.3.2-apps_Makefile.patch
Patch3:		zita-alsa-pcmi-0.3.2-mga-fix_bin_path.patch

BuildRequires:	ecasound-devel

%description
Zita-alsa-pcmi is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialize and use a hw: device in mmap mode, and providing
floating point audio data.

#--------------------------------------------------------------------

%package  utils
Summary:	ALSA utilities using the %{name} library
Group:		Sound/Mixers 
# The following are GPLv2+ licensed:
# /apps/alsa_delay.cc, /apps/alsa_loopback.cc, /apps/mtmd.cc /apps/mtdm.cc
License:       GPLv2+ and GPLv3+

%description utils
This package contains the headers and development libraries for %{name}.

%files utils
%{_bindir}/alsa_delay
%{_bindir}/alsa_loopback

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}clalsadrv2 < 2.0.1

%description -n	%{libname}
The libraries from %{name} package needed by Aeolus

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %name
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}clalsadrv-devel < 2.0.1

%description -n	%{develname}
Development libraries from %{name}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -e 's:ldconfig::' -i source/Makefile

%build
export OPTFLAGS="%{optflags}"
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C source
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C apps

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C source
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C apps

# (tv) fix debuginfo:
chmod +x %{buildroot}%{_libdir}/*.so*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.3.2-2.mga8
+ Revision: 1489132
- Mageia 8 Mass Rebuild

* Mon Sep 10 2018 barjac <barjac> 0.3.2-1.mga7
+ Revision: 1258257
- new version 0.3.2
- re-diff patches and patch Makefile to fix build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 barjac <barjac> 0.2.0-10.mga6
+ Revision: 904789
- fix requires

* Wed Nov 18 2015 neoclust <neoclust> 0.2.0-9.mga6
+ Revision: 903980
- Rebuild because of previous failure
- Build apps

* Sun Oct 25 2015 tv <tv> 0.2.0-7.mga6
+ Revision: 895101
- fix debuginfo by using -g and by making lib executable

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-6.mga5
+ Revision: 749402
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-5.mga5
+ Revision: 690881
- Mageia 5 Mass Rebuild

* Thu May 08 2014 barjac <barjac> 0.2.0-4.mga5
+ Revision: 621175
- rebuild for new ecasound

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 533087
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 barjac <barjac> 0.2.0-2.mga4
+ Revision: 471405
- obsolete clalsadrv

* Thu Aug 08 2013 barjac <barjac> 0.2.0-1.mga4
+ Revision: 464610
- imported package zita-alsa-pcmi

